<?php
require_once __DIR__ . '/../utils/MoisFrHelper.php';

use Utils\MoisFrHelper;

assert(MoisFrHelper::frToSql('Juillet 2025') === '2025-07');
assert(MoisFrHelper::sqlToFr('2025-07') === 'Juillet 2025');
//echo 'Mois courant SQL: ' . MoisFrHelper::frToSql('Juillet 2025') .'\n';
echo 'Mois courant Fr: ' . MoisFrHelper::sqlToFr(date('Y-m'));

echo "✅ Tous les tests passent !\n";
